Skip to main content
`Ctrl`+`K`

# DMSNESGetObjectiveLocal

get the local objective evaluation function information set with `DMSNESSetObjectiveLocal()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetObjectiveLocal(DM dm, PetscErrorCode (**func)(DM, Vec, PetscReal *, void *), void **ctx)

Not Collective

## Input Parameter

- dm - `DM` with the associated callback

## Output Parameters

- func - local objective evaluation

- ctx - context for local residual evaluation

## See Also

`DMSNESSetObjective()`, `DMSNESSetObjectiveLocal()`, `DMSNESSetFunctionLocal()`

## Level

beginner

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages